<?
define('_IN_JOHNCMS', 1);
require('../incfiles/core.php');
$textl = 'Пополнение баланса';
require('../incfiles/head.php');
include_once 'sett.php';
if (isset($_POST['summa']))
{
if (wk_summ($_POST['summa'])!='0.00')
{?>
<form method="POST" action="https://wapkassa.ru/merchant/oplata.php">
<input type="hidden" name="WK_PAYMENT_SITE" value="<?=WK_ID?>">
<input type="hidden" name="WK_PAYMENT_AMOUNT" value="<?=wk_summ($_POST['summa'])?>">
<input type="hidden" name="WK_PAYMENT_COMM" value="Пополнение баланса ID<?=$datauser['id']?>">
<input type="hidden" name="WK_PAYMENT_HASH" value="<?=strtoupper(hash("sha256",WK_ID.wk_summ($_POST['summa']).WK_CODE))?>">
<input type="hidden" name="WK_PAYMENT_ID" value="<?=$datauser['id']?>">
<div class="phdr">Оплата</div>
<div class="gmenu"><input type="submit" class="phdr" value="Перейти к оплате">
</form>
</div>
<?}
else
{
$err[] = 'Неверная сумма';
}
}
echo functions::display_error($err);
echo '<div class="phdr">Пополнение баланса</div>';
echo '<div class="gmenu"><p>';
echo 'Ваш баланс '.$datauser['balans'].' Rub<br/></div>';
echo '<div class="gmenu"><p>
<form method="post">
<input name="summa" type="text" value="1.00"/> RUB
<input type="submit"class="knopka" value="Пополнить"/>
</form>';
echo '</div> <br />';




require('../incfiles/end.php');
?>
